Subject: Re: [PATCH v5 bpf 03/11] xsk: fix usage of multi-buffer BPF helpers for ZC XDP

From: Jakub Kicinski <[email-masked]>
Date: Wed, 24 Jan 2024 08:53:49 -0800

On Wed, 24 Jan 2024 13:02:21 +0100 Maciej Fijalkowski wrote:
> > nit: this has just one caller, why not inline these 3 lines?  
> 
> we usually rely on compiler to do that, we have the rule "no inlines in
> source files", no?

I mean Ctrl-x Ctrl-v the code, the function has 3 LoC and one caller.
And a semi-meaningless name. I'm not sure why this code was factored
out.

> > nit: prefix the function name, please  
> 
> will rename to bpf_xdp_shrink_data(). Thanks for taking a look!

👍️